rotate_copy.hpp File Reference

## Typedefs

template<typename I , typename O >
using | ranges::rotate_copy_result = detail::in_out_result< I, O >

## Functions

template<typename I , typename S , typename O , typename P = identity>
auto | ranges::rotate_copy (I first, I middle, S last, O out) -> rotate_copy_result< I, O > requires forward_iterator< I > &&sentinel_for< S, I > &&weakly_incrementable< O > &&indirectly_copyable< I, O >
| function template `rotate_copy`
template<typename Rng , typename O , typename P = identity>
auto | ranges::rotate_copy (Rng &&rng, iterator_t< Rng > middle, O out) -> rotate_copy_result< safe_iterator_t< Rng >, O > requires range< Rng > &&weakly_incrementable< O > &&indirectly_copyable< iterator_t< Rng >, O >